#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.0.4
visibility:           public
id:                   persistent-test-2.13.0.4-JmmsBnUvOr4ACVJrgLmJrW
key:                  persistent-test-2.13.0.4-JmmsBnUvOr4ACVJrgLmJrW
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  9a0520fcdfd26b0b7951535db9b95651
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.0.4
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.0.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.0.4-JmmsBnUvOr4ACVJrgLmJrW
depends:
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    QuickCheck-2.14.2-7IscL6Ui3Th4idiIZNtA9m
    aeson-1.5.6.0-D6JFXMoVVY440Mpm8YlAiW base-4.15.1.0
    blaze-html-0.9.1.2-HUM0k92M0TDhR6NaxCER0 bytestring-0.10.12.1
    conduit-1.3.4.2-9I6SWmQfQ5n2ocDACiIrO5 containers-0.6.4.1
    exceptions-0.10.4 hspec-2.9.7-JfIHhw6RnLxAeuWcLIidI3
    hspec-expectations-0.8.2-6qi8cjonJ6NDcZGGp2xU9X
    http-api-data-0.4.3-8z7Hinhnqio141wmYS27eC
    monad-control-1.0.3.1-6iWWzcUDmJkFWVujAKWbEG
    monad-logger-0.3.36-7BPfz4Ja4D56WwgaoNxH3v mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.1-I0pmrzL1H0N43R52GTOUsa
    quickcheck-instances-0.3.27-2WuyxYp0WKE4beJky2jssx
    random-1.2.1.1-7qFLeSti7cd2nEeY08jtlf
    resourcet-1.2.5-3RawzU30J2N1PmCdN1TN1S text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-3dLTsyqBf8CIEXs1RSm8dT
    unliftio-0.2.22.0-Iv0BQCewGdbFK9NowJxpW4
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-7SQ4DJN6rki64sevxnHKhZ

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

